Support » Plugin: Social Media Feather | social media sharing » PHP 7 Compatibility Warnings

  • Hi, we’re preparing to update to PHP 7, and I’m running preliminary checks of our code using the PHP Compatibility Checker plugin. Social Media Feather is throwing several warnings when tested with PHP 7.2. The details are below:

    FILE: [path redacted]/wp-content/plugins/social-media-feather/synved-option/synved-option-page.php
    ———————————————————————–
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————–
    167 | WARNING | Function create_function() is deprecated since PHP 7.2; Use an anonymous function instead
    ———————————————————————–

    FILE: [path redacted]/wp-content/plugins/social-media-feather/synved-option/synved-option.php
    ———————————————————————–
    FOUND 0 ERRORS AND 3 WARNINGS AFFECTING 3 LINES
    ———————————————————————–
    308 | WARNING | Function create_function() is deprecated since PHP 7.2; Use an anonymous function instead
    595 | WARNING | Function create_function() is deprecated since PHP 7.2; Use an anonymous function instead
    826 | WARNING | Function create_function() is deprecated since PHP 7.2; Use an anonymous function instead
    ———————————————————————–

Viewing 4 replies - 1 through 4 (of 4 total)
  • Hey – is there any news on PHP7 compatibility from the developers?

    Same question with me? PHP 7 is not that new anymore. Already 7.2 hosting now.
    If this error is not resolved soon, we will use other ….

    If anyone picks an alternative which is being maintained please share it here – I’ll also start looking in the near future.

    Same question with me. Is there any news on PHP7 compatibility from the developers?
    FILE: /var/www/vhosts/tietostartti.fi/httpdocs/wp-content/plugins/social-media-feather/synved-option/synved-option-page.php
    —————————————————————————————————————————
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    —————————————————————————————————————————
    167 | WARNING | Function create_function() is deprecated since PHP 7.2; Use an anonymous function instead
    —————————————————————————————————————————

    FILE: /var/www/vhosts/tietostartti.fi/httpdocs/wp-content/plugins/social-media-feather/synved-option/synved-option.php
    ———————————————————————————————————————-
    FOUND 0 ERRORS AND 3 WARNINGS AFFECTING 3 LINES
    ———————————————————————————————————————-
    308 | WARNING | Function create_function() is deprecated since PHP 7.2; Use an anonymous function instead
    595 | WARNING | Function create_function() is deprecated since PHP 7.2; Use an anonymous function instead
    826 | WARNING | Function create_function() is deprecated since PHP 7.2; Use an anonymous function instead

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘PHP 7 Compatibility Warnings’ is closed to new replies.